
jQuery(function() {
  var tbl = jQuery('.table');
  if (tbl.length > 0) {
    tbl = tbl[0];
  } else {
    //search for alternative tables but for now we quit here
    return;
  }

  var tblHead = jQuery(tbl).find('tHead');
  var tblBody = jQuery(tbl).find('tBody');

  var position = jQuery(tblHead[0]).find('th').length-1;
  var tmp;

  for(var i=0; i<position; i++) {
    tmp = jQuery(tblHead[0].children[0].children[i]).find('a');
    if (tmp.length > 0 && tmp[0].innerHTML == Joomla.JText._('JSTATUS')) {
      position = i;
      break;
    }
  }
  // If we didn't find the status we search for the title
  if (position == jQuery(tblHead[0]).find('th').length-1) {
    for(var i=0; i<position; i++) {
      tmp = jQuery(tblHead[0].children[0].children[i]).find('a');
      if (tmp.length > 0 && tmp[0].innerHTML == Joomla.JText._('JGLOBAL_TITLE')) {
        position = i;
        break;
      }
    }
  }

  //find col span later
  var rowposition = position;


  var th = jQuery('<th width="1%" rowspan="'+tblHead.length+'" class="nowrap center">'+Joomla.JText._('LIB_JDICTION_TRANSLATION')+'</th>');
  th.insertAfter(tblHead[0].children[0].children[position]);

  jQuery.each(tblBody[0].children, function(i, item){
    var td = jQuery('<td class="center"></td>');
    var link = '';

    if (jdiction[i]['link'] != '') {
      link = jQuery('<a href="'+jdiction[i]['link']+'" style="width: '+(Object.getLength(jdiction[i]['status'])*20)+'px; margin: 0 auto 0 auto; display: block" class="center"></a>');
      link.appendTo(td);
    }

    jQuery.each(jdiction[i]['status'], function(lang, status) {
      var x = jQuery('<span style="background-image: url(components/com_jdiction/assets/icon-status-16-'+status+'.png); background-position: center center; background-size: 20px 20px; padding-top: 0; width: 20px; height: 20px; background-repeat: no-repeat; display: block; float: left;"><img src="../media/com_jdiction/images/flags/'+lang+'.png" style="width:13px" /></span>')
      x.appendTo(link);
    });

    td.insertAfter(item.children[rowposition]);
  });

});
